import { fetch } from '@/utils'
// 获取订单列表
export function getMyOrderList(params) {
  return fetch({
    url: '/OrderLife/queryOrder',
    method: 'post',
    data: params,
    loading: true
  })
}
// 多选订单列表
export function getMoreMyOrderList(params) {
  return fetch({
    url: '/CompanyOrderLife/queryOrder',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取订单详情
export function getMyOrderDetail(params) {
  return fetch({
    url: '/OrderLife/queryOrderDetail',
    method: 'post',
    data: params,
    loading: true
  })
}
// 配送信息查询
export function getDeliveryOrder(params) {
  return fetch({
    url: '/OrderLife/DeliveryOrder',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取订单发票列表
export function getOrderInvoiceList(params) {
  return fetch({
    url: '/OrderLife/Invoice',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取物流追踪信息
export function getTrackInfo(params) {
  return fetch({
    url: '/OrderLife/TrackInfo',
    method: 'post',
    data: params,
    loading: true
  })
}

// 获取商品详情列表
export function getGoodInfoList(params) {
  return fetch({
    url: '/OrderLife/GoodsInfo',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取请货单
export function getOrderClearanceList(params) {
  return fetch({
    url: '/OrderLife/ReqOrder',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取运单信息
export function getShippingInfo(params) {
  return fetch({
    url: '/OrderLife/ShIppOrder',
    method: 'post',
    data: params,
    loading: true
  })
}
// 地图点
export function getGpsMapPoint(params) {
  return fetch({
    url: '/OrderLife/GisMapInfo',
    method: 'post',
    data: params,
    loading: false
  })
}
// 获取温度
export function getColdTemperatureList(params) {
  return fetch({
    url: '/OrderLife/TempRecord',
    method: 'post',
    data: params,
    loading: true
  })
}
